# Gimp.adaptive_supersample_area

    @accepts(int, int, int, int, int, float, Gimp.RenderFunc, gpointer, Gimp.PutPixelFunc, gpointer, Gimp.ProgressFunc, gpointer)
    @returns(int)
    def adaptive_supersample_area(x1, y1, x2, y2, max_depth, threshold, render_func, render_data, put_pixel_func, put_pixel_data, progress_func, progress_data):
        # Python wrapper for gimp_adaptive_supersample_area()

x1

  left x coordinate of the area to process.

y1

  top y coordinate of the area to process.

x2

  right x coordinate of the area to process.

y2

  bottom y coordinate of the area to process.

max_depth

  maximum depth of supersampling.

threshold

  lower threshold of pixel difference that stops supersampling.

render_func

  function calculate the color value at given coordinates.

render_data

  user data passed to render_func.

put_pixel_func

  function to a pixels to a color at given coordinates.

put_pixel_data

  user data passed to put_pixel_func.

progress_func

  function to report progress.

progress_data

  user data passed to progress_func.

Returns